Index: /ruby/branches/0.0/adl_parser/bin/adl_validator.rb
===================================================================
--- /ruby/branches/0.0/adl_parser/bin/adl_validator.rb	(revision 166)
+++ /ruby/branches/0.0/adl_parser/bin/adl_validator.rb	(revision 167)
@@ -7,5 +7,5 @@
 require 'net/http'
 
-module OpenEHR
+module OpenEhr
   module CommandLine
     class Arguments < Hash
@@ -40,5 +40,5 @@
             when /\A(http:\/\/.*)/
               name = $1
-              input = case response = Net::HTTP.get_response(URI.parse($1))
+              input = case response = Net::HTTP.get_response(Uri.parse($1))
                       when Net::HTTPSuccess   
                         response.body
@@ -74,6 +74,6 @@
 if __FILE__ == $0
   begin
-    arguments = OpenEHR::CommandLine::Arguments.new(ARGV)
-    validator = OpenEHR::CommandLine::ADLValidator.new(arguments)
+    arguments = OpenEhr::CommandLine::Arguments.new(ARGV)
+    validator = OpenEhr::CommandLine::ADLValidator.new(arguments)
     validator.run
   end
Index: /ruby/branches/0.0/adl_parser/lib/model.rb
===================================================================
--- /ruby/branches/0.0/adl_parser/lib/model.rb	(revision 166)
+++ /ruby/branches/0.0/adl_parser/lib/model.rb	(revision 167)
@@ -2,5 +2,5 @@
 
 
-module OpenEHR
+module OpenEhr
   module ADL
     module Model
Index: /ruby/branches/0.0/adl_parser/lib/parser.rb
===================================================================
--- /ruby/branches/0.0/adl_parser/lib/parser.rb	(revision 166)
+++ /ruby/branches/0.0/adl_parser/lib/parser.rb	(revision 167)
@@ -20,5 +20,5 @@
 
 
-module OpenEHR
+module OpenEhr
 
   module ADL
Index: /ruby/branches/0.0/adl_parser/lib/scanner.rb
===================================================================
--- /ruby/branches/0.0/adl_parser/lib/scanner.rb	(revision 166)
+++ /ruby/branches/0.0/adl_parser/lib/scanner.rb	(revision 167)
@@ -5,5 +5,5 @@
 
 
-module OpenEHR
+module OpenEhr
   module ADL
     module Scanner
@@ -138,13 +138,13 @@
             @parser = lambda do |input|
               Yaparc::Alt.new(Reserved.new,
-                              OpenEHR::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF.new,
-                              OpenEHR::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF.new,
-                              OpenEHR::ADL::Scanner::Common::ERR_V_QUALIFIED_TERM_CODE_REF.new,
-                              OpenEHR::ADL::Scanner::Common::V_TYPE_IDENTIFIER.new,
-                              OpenEHR::ADL::Scanner::Common::V_GENERIC_TYPE_IDENTIFIER.new,
-                              OpenEHR::ADL::Scanner::Common::V_STRING.new,
-                              OpenEHR::ADL::Scanner::Common::V_LOCAL_CODE.new,
-                              OpenEHR::ADL::Scanner::Common::V_REAL.new,
-                              OpenEHR::ADL::Scanner::Common::V_ISO8601_DURATION.new
+                              OpenEhr::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF.new,
+                              OpenEhr::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF.new,
+                              OpenEhr::ADL::Scanner::Common::ERR_V_QUALIFIED_TERM_CODE_REF.new,
+                              OpenEhr::ADL::Scanner::Common::V_TYPE_IDENTIFIER.new,
+                              OpenEhr::ADL::Scanner::Common::V_GENERIC_TYPE_IDENTIFIER.new,
+                              OpenEhr::ADL::Scanner::Common::V_STRING.new,
+                              OpenEhr::ADL::Scanner::Common::V_LOCAL_CODE.new,
+                              OpenEhr::ADL::Scanner::Common::V_REAL.new,
+                              OpenEhr::ADL::Scanner::Common::V_ISO8601_DURATION.new
                               )
             end
@@ -157,5 +157,5 @@
           def initialize
             @parser = lambda do |input|
-              reserved_parsers = OpenEHR::ADL::Scanner::DADL::RESERVED.map do |keyword| 
+              reserved_parsers = OpenEhr::ADL::Scanner::DADL::RESERVED.map do |keyword|
                 Yaparc::Tokenize.new(
                                      Yaparc::Literal.new(keyword[0])
@@ -163,9 +163,9 @@
               end
               Yaparc::Alt.new(Yaparc::Apply.new(Yaparc::Alt.new(*reserved_parsers)) do |match|
-                                OpenEHR::ADL::Scanner::Common::LOG.info("Reserved: #{match}")
-                                [OpenEHR::ADL::Scanner::DADL::RESERVED[match], OpenEHR::ADL::Scanner::DADL::RESERVED[match]]
+                                OpenEhr::ADL::Scanner::Common::LOG.info("Reserved: #{match}")
+                                [OpenEhr::ADL::Scanner::DADL::RESERVED[match], OpenEhr::ADL::Scanner::DADL::RESERVED[match]]
                               end,
                               Yaparc::Apply.new(Yaparc::Regex.new(/\A[a-z][a-zA-Z0-9_]*/)) do |match|
-                                OpenEHR::ADL::Scanner::Common::LOG.info("V_ATTRIBUTE_IDENTIFIER: #{match}")
+                                OpenEhr::ADL::Scanner::Common::LOG.info("V_ATTRIBUTE_IDENTIFIER: #{match}")
                                 [:V_ATTRIBUTE_IDENTIFIER, match]
                               end)
@@ -215,5 +215,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A[yY][yY][yY][yY]-[mM?X][mM?X]-[dD?X][dD?X][T\t][hH?X][hH?X]:[mM?X][mM?X]:[sS?X][sS?X]/)) do |match|
-                OpenEHR::ADL::Scanner::Common::LOG.info("V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN: #{match}")
+                OpenEhr::ADL::Scanner::Common::LOG.info("V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN: #{match}")
                 [:V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN, match]
               end
@@ -228,5 +228,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A[yY][yY][yY][yY]-[mM?X][mM?X]-[dD?X][dD?X]/)) do |match|
-                OpenEHR::ADL::Scanner::Common::LOG.info("V_ISO8601_DATE_CONSTRAINT_PATTERN: #{match}")
+                OpenEhr::ADL::Scanner::Common::LOG.info("V_ISO8601_DATE_CONSTRAINT_PATTERN: #{match}")
                 [:V_ISO8601_DATE_CONSTRAINT_PATTERN, match]
               end
@@ -241,5 +241,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A[hH][hH]:[mM?X][mM?X]:[sS?X][sS?X]/)) do |match|
-                OpenEHR::ADL::Scanner::Common::LOG.info("V_ISO8601_TIME_CONSTRAINT_PATTERN: #{match}")
+                OpenEhr::ADL::Scanner::Common::LOG.info("V_ISO8601_TIME_CONSTRAINT_PATTERN: #{match}")
                 [:V_ISO8601_TIME_CONSTRAINT_PATTERN, match]
               end
@@ -255,5 +255,5 @@
               Yaparc::Apply.new(Yaparc::Alt.new(Yaparc::Regex.new(/\AP[yY]?[mM]?[wW]?[dD]?T[hH]?[mM]?[sS]?/),
                                                 Yaparc::Regex.new(/\AP[yY]?[mM]?[wW]?[dD]?/))) do |match|
-                OpenEHR::ADL::Scanner::Common::LOG.info("V_ISO8601_DURATION_CONSTRAINT_PATTERN: #{match}")
+                OpenEhr::ADL::Scanner::Common::LOG.info("V_ISO8601_DURATION_CONSTRAINT_PATTERN: #{match}")
                 [:V_ISO8601_DURATION_CONSTRAINT_PATTERN, match]
               end
@@ -268,5 +268,5 @@
             @parser = lambda do |input|
               Yaparc::Apply.new(Yaparc::Regex.new(/\A[A-Z][a-zA-Z0-9_]*[ \n]*\</)) do |match|
-                OpenEHR::ADL::Scanner::Common::LOG.info("V_C_DOMAIN_TYPE: #{match}")
+                OpenEhr::ADL::Scanner::Common::LOG.info("V_C_DOMAIN_TYPE: #{match}")
                 [:START_V_C_DOMAIN_TYPE_BLOCK, match]
               end
@@ -282,17 +282,17 @@
                               V_ISO8601_DATE_CONSTRAINT_PATTERN.new,
                               V_ISO8601_TIME_CONSTRAINT_PATTERN.new,
-                              OpenEHR::ADL::Scanner::Common::V_ISO8601_DURATION.new,
+                              OpenEhr::ADL::Scanner::Common::V_ISO8601_DURATION.new,
                               V_C_DOMAIN_TYPE.new,
                               V_ISO8601_DURATION_CONSTRAINT_PATTERN.new,
                               Reserved.new,
-                              OpenEHR::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF.new,
-                              OpenEHR::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF.new,
-                              OpenEHR::ADL::Scanner::Common::ERR_V_QUALIFIED_TERM_CODE_REF.new,
-                              OpenEHR::ADL::Scanner::Common::V_TYPE_IDENTIFIER.new,
-                              OpenEHR::ADL::Scanner::Common::V_GENERIC_TYPE_IDENTIFIER.new,
-                              OpenEHR::ADL::Scanner::Common::V_STRING.new,
-                              OpenEHR::ADL::Scanner::Common::V_LOCAL_CODE.new,
-                              OpenEHR::ADL::Scanner::Common::V_REAL.new,
-                              OpenEHR::ADL::Scanner::Common::V_ISO8601_DURATION.new
+                              OpenEhr::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF.new,
+                              OpenEhr::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF.new,
+                              OpenEhr::ADL::Scanner::Common::ERR_V_QUALIFIED_TERM_CODE_REF.new,
+                              OpenEhr::ADL::Scanner::Common::V_TYPE_IDENTIFIER.new,
+                              OpenEhr::ADL::Scanner::Common::V_GENERIC_TYPE_IDENTIFIER.new,
+                              OpenEhr::ADL::Scanner::Common::V_STRING.new,
+                              OpenEhr::ADL::Scanner::Common::V_LOCAL_CODE.new,
+                              OpenEhr::ADL::Scanner::Common::V_REAL.new,
+                              OpenEhr::ADL::Scanner::Common::V_ISO8601_DURATION.new
                               )
             end
@@ -310,9 +310,9 @@
               end
               Yaparc::Alt.new(Yaparc::Apply.new(Yaparc::Alt.new(*reserved_parsers)) do |match|
-                                OpenEHR::ADL::Scanner::Common::LOG.info("Reserved: #{match}")
-                                [OpenEHR::ADL::Scanner::CADL::RESERVED[match], OpenEHR::ADL::Scanner::CADL::RESERVED[match]]
+                                OpenEhr::ADL::Scanner::Common::LOG.info("Reserved: #{match}")
+                                [OpenEhr::ADL::Scanner::CADL::RESERVED[match], OpenEhr::ADL::Scanner::CADL::RESERVED[match]]
                               end,
                               Yaparc::Apply.new(Yaparc::Regex.new(/\A[a-z][a-zA-Z0-9_]*/)) do |match|
-                                OpenEHR::ADL::Scanner::Common::LOG.info("V_ATTRIBUTE_IDENTIFIER: #{match}")
+                                OpenEhr::ADL::Scanner::Common::LOG.info("V_ATTRIBUTE_IDENTIFIER: #{match}")
                                 [:V_ATTRIBUTE_IDENTIFIER, match]
                               end)
Index: /ruby/branches/0.0/adl_parser/lib/shell.rb
===================================================================
--- /ruby/branches/0.0/adl_parser/lib/shell.rb	(revision 166)
+++ /ruby/branches/0.0/adl_parser/lib/shell.rb	(revision 167)
@@ -3,5 +3,5 @@
 require 'stringio'
 
-module OpenEHR
+module OpenEhr
   module Application
     class Shell
Index: /ruby/branches/0.0/adl_parser/lib/validator.rb
===================================================================
--- /ruby/branches/0.0/adl_parser/lib/validator.rb	(revision 166)
+++ /ruby/branches/0.0/adl_parser/lib/validator.rb	(revision 167)
@@ -3,5 +3,5 @@
 
 
-module OpenEHR
+module OpenEhr
   module ADL
 
Index: /ruby/branches/0.0/adl_parser/tests/parser_test.rb
===================================================================
--- /ruby/branches/0.0/adl_parser/tests/parser_test.rb	(revision 166)
+++ /ruby/branches/0.0/adl_parser/tests/parser_test.rb	(revision 167)
@@ -15,7 +15,7 @@
     assert_nothing_raised do
       result = @parser.parse(laboratory_request, 'openEHR-EHR-ITEM_TREE.Laboratory_request.v1.adl')
-      assert_instance_of OpenEHR::AM::Archetype::ARCHETYPE, result
-      assert_instance_of OpenEHR::AM::Archetype::Archetype_Description::ARCHETYPE_DESCRIPTION, result.description
-      assert_instance_of OpenEHR::AM::Archetype::Constraint_Model::C_COMPLEX_OBJECT, result.definition
+      assert_instance_of OpenEhr::AM::Archetype::ARCHETYPE, result
+      assert_instance_of OpenEhr::AM::Archetype::Archetype_Description::ARCHETYPE_DESCRIPTION, result.description
+      assert_instance_of OpenEhr::AM::Archetype::Constraint_Model::C_COMPLEX_OBJECT, result.definition
 #      assert_equal '', result.definition
     end
@@ -24,7 +24,7 @@
     assert_nothing_raised do
       result = @parser.parse(apgar, 'openEHR-EHR-OBSERVATION.apgar.v1.adl')
-      assert_instance_of OpenEHR::AM::Archetype::ARCHETYPE, result
-      assert_instance_of OpenEHR::AM::Archetype::Archetype_Description::ARCHETYPE_DESCRIPTION, result.description
-      assert_instance_of OpenEHR::AM::Archetype::Constraint_Model::C_COMPLEX_OBJECT, result.definition
+      assert_instance_of OpenEhr::AM::Archetype::ARCHETYPE, result
+      assert_instance_of OpenEhr::AM::Archetype::Archetype_Description::ARCHETYPE_DESCRIPTION, result.description
+      assert_instance_of OpenEhr::AM::Archetype::Constraint_Model::C_COMPLEX_OBJECT, result.definition
     end
 
Index: /ruby/branches/0.0/adl_parser/tests/scanner_test.rb
===================================================================
--- /ruby/branches/0.0/adl_parser/tests/scanner_test.rb	(revision 166)
+++ /ruby/branches/0.0/adl_parser/tests/scanner_test.rb	(revision 167)
@@ -4,12 +4,12 @@
 class YaparcParserTest < Test::Unit::TestCase
   def test_RootScanner
-    parser = OpenEHR::ADL::Scanner::DADL::RootScanner.new
-    assert_instance_of OpenEHR::ADL::Scanner::DADL::RootScanner,parser
+    parser = OpenEhr::ADL::Scanner::DADL::RootScanner.new
+    assert_instance_of OpenEhr::ADL::Scanner::DADL::RootScanner,parser
     result = parser.parse('')
   end
 
   def test_V_LOCAL_TERM_CODE_REF
-    parser = OpenEHR::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF.new
-    assert_instance_of OpenEHR::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF,parser
+    parser = OpenEhr::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF.new
+    assert_instance_of OpenEhr::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF,parser
     result = parser.parse('[en-us]')
     assert_instance_of Yaparc::Result::OK, result
@@ -17,6 +17,6 @@
 
   def test_V_QUALIFIED_TERM_CODE_REF
-    parser = OpenEHR::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF.new
-    assert_instance_of OpenEHR::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF,parser
+    parser = OpenEhr::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF.new
+    assert_instance_of OpenEhr::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF,parser
     result = parser.parse('[ISO_639::en]')
     assert_instance_of Yaparc::Result::OK, result
@@ -26,6 +26,6 @@
 
   def test_V_STRING
-    parser = OpenEHR::ADL::Scanner::Common::V_STRING.new
-    assert_instance_of OpenEHR::ADL::Scanner::Common::V_STRING,parser
+    parser = OpenEhr::ADL::Scanner::Common::V_STRING.new
+    assert_instance_of OpenEhr::ADL::Scanner::Common::V_STRING,parser
     result = parser.parse('"this is a string"')
     assert_instance_of Yaparc::Result::OK, result
@@ -35,6 +35,6 @@
 
   def test_V_REAL
-    parser = OpenEHR::ADL::Scanner::Common::V_REAL.new
-    assert_instance_of OpenEHR::ADL::Scanner::Common::V_REAL,parser
+    parser = OpenEhr::ADL::Scanner::Common::V_REAL.new
+    assert_instance_of OpenEhr::ADL::Scanner::Common::V_REAL,parser
     result = parser.parse('0.1')
     assert_instance_of Yaparc::Result::OK, result
@@ -46,6 +46,6 @@
 
   def test_V_ISO8601_DURATION
-    parser = OpenEHR::ADL::Scanner::Common::V_ISO8601_DURATION.new
-    assert_instance_of OpenEHR::ADL::Scanner::Common::V_ISO8601_DURATION,parser
+    parser = OpenEhr::ADL::Scanner::Common::V_ISO8601_DURATION.new
+    assert_instance_of OpenEhr::ADL::Scanner::Common::V_ISO8601_DURATION,parser
     result = parser.parse('PT1M')
     assert_instance_of Yaparc::Result::OK, result
@@ -56,6 +56,6 @@
 
   def test_V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN
-    parser = OpenEHR::ADL::Scanner::CADL::V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN.new
-    assert_instance_of OpenEHR::ADL::Scanner::CADL::V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN,parser
+    parser = OpenEhr::ADL::Scanner::CADL::V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN.new
+    assert_instance_of OpenEhr::ADL::Scanner::CADL::V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN,parser
     result = parser.parse('yyyy-??-??T??:??:??')
     assert_instance_of Yaparc::Result::OK, result
@@ -63,6 +63,6 @@
 
   def test_V_ISO8601_DATE_CONSTRAINT_PATTERN
-    parser = OpenEHR::ADL::Scanner::CADL::V_ISO8601_DATE_CONSTRAINT_PATTERN.new
-    assert_instance_of OpenEHR::ADL::Scanner::CADL::V_ISO8601_DATE_CONSTRAINT_PATTERN,parser
+    parser = OpenEhr::ADL::Scanner::CADL::V_ISO8601_DATE_CONSTRAINT_PATTERN.new
+    assert_instance_of OpenEhr::ADL::Scanner::CADL::V_ISO8601_DATE_CONSTRAINT_PATTERN,parser
     result = parser.parse('yyyy-mm-XX-dd')
     assert_instance_of Yaparc::Result::OK, result
@@ -70,6 +70,6 @@
 
   def test_V_ISO8601_TIME_CONSTRAINT_PATTERN
-    parser = OpenEHR::ADL::Scanner::CADL::V_ISO8601_TIME_CONSTRAINT_PATTERN.new
-    assert_instance_of OpenEHR::ADL::Scanner::CADL::V_ISO8601_TIME_CONSTRAINT_PATTERN,parser
+    parser = OpenEhr::ADL::Scanner::CADL::V_ISO8601_TIME_CONSTRAINT_PATTERN.new
+    assert_instance_of OpenEhr::ADL::Scanner::CADL::V_ISO8601_TIME_CONSTRAINT_PATTERN,parser
     result = parser.parse('hh:mm:ss:??')
     assert_instance_of Yaparc::Result::OK, result
@@ -77,5 +77,5 @@
 
   def test_dadl_reserved
-    parser = OpenEHR::ADL::Scanner::DADL::RootScanner.new
+    parser = OpenEhr::ADL::Scanner::DADL::RootScanner.new
     result = parser.parse('then')
     assert_instance_of Yaparc::Result::OK, result
@@ -86,6 +86,6 @@
 
   def test_cadl
-    parser = OpenEHR::ADL::Scanner::CADL::RootScanner.new
-    assert_instance_of OpenEHR::ADL::Scanner::CADL::RootScanner,parser
+    parser = OpenEhr::ADL::Scanner::CADL::RootScanner.new
+    assert_instance_of OpenEhr::ADL::Scanner::CADL::RootScanner,parser
     result = parser.parse('PT1M')
     assert_instance_of Yaparc::Result::OK, result
@@ -97,5 +97,5 @@
 
   def test_cadl_reserved
-    parser = OpenEHR::ADL::Scanner::CADL::RootScanner.new
+    parser = OpenEhr::ADL::Scanner::CADL::RootScanner.new
     result = parser.parse('then')
     assert_instance_of Yaparc::Result::OK, result
Index: /ruby/branches/0.0/models/am.rb
===================================================================
--- /ruby/branches/0.0/models/am.rb	(revision 166)
+++ /ruby/branches/0.0/models/am.rb	(revision 167)
@@ -14,5 +14,5 @@
 require 'rm/common/resource.rb'
 #require 'rm/support/terminology/openehr_code_set_identifier.rb'
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
@@ -37,5 +37,5 @@
 
     module OpenEHR_Profile
-      module Data_Types
+      module DataTypes
         module Basic
           autoload :C_DV_STATE, "am/openehr_profile/data_types/basic.rb"
Index: /ruby/branches/0.0/models/am/archetype/archetype.rb
===================================================================
--- /ruby/branches/0.0/models/am/archetype/archetype.rb	(revision 166)
+++ /ruby/branches/0.0/models/am/archetype/archetype.rb	(revision 167)
@@ -1,14 +1,14 @@
 require 'rm/support/terminology.rb'
 
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
       module ADL_Definition
 #        include OpenEHR::RM::Support::Terminology::OpenEHR_Code_Set_Identifier
-        include OpenEHR::RM::Support::Terminology
+        include OpenEhr::RM::Support::Terminology
         CURRENT_ADL_VERSION = "1.4"
       end
 
-      class ARCHETYPE < OpenEHR::RM::Common::Resource::AUTHORED_RESOURCE
+      class ARCHETYPE < OpenEhr::RM::Common::Resource::AUTHORED_RESOURCE
         include ADL_Definition
         attr_accessor :archetype_id, :concept_code, :is_controlled, :original_language, :parent_archtype_id, :uid
Index: /ruby/branches/0.0/models/am/archetype/archetype_description/archetype_description.rb
===================================================================
--- /ruby/branches/0.0/models/am/archetype/archetype_description/archetype_description.rb	(revision 166)
+++ /ruby/branches/0.0/models/am/archetype/archetype_description/archetype_description.rb	(revision 167)
@@ -1,4 +1,4 @@
 
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
Index: /ruby/branches/0.0/models/am/archetype/constraint_model/archetype_constraint.rb
===================================================================
--- /ruby/branches/0.0/models/am/archetype/constraint_model/archetype_constraint.rb	(revision 166)
+++ /ruby/branches/0.0/models/am/archetype/constraint_model/archetype_constraint.rb	(revision 167)
@@ -1,4 +1,4 @@
 
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
Index: /ruby/branches/0.0/models/am/archetype/constraint_model/assertion.rb
===================================================================
--- /ruby/branches/0.0/models/am/archetype/constraint_model/assertion.rb	(revision 166)
+++ /ruby/branches/0.0/models/am/archetype/constraint_model/assertion.rb	(revision 167)
@@ -1,3 +1,3 @@
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
Index: /ruby/branches/0.0/models/am/archetype/constraint_model/primitive.rb
===================================================================
--- /ruby/branches/0.0/models/am/archetype/constraint_model/primitive.rb	(revision 166)
+++ /ruby/branches/0.0/models/am/archetype/constraint_model/primitive.rb	(revision 167)
@@ -1,3 +1,3 @@
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
Index: /ruby/branches/0.0/models/am/archetype/ontology.rb
===================================================================
--- /ruby/branches/0.0/models/am/archetype/ontology.rb	(revision 166)
+++ /ruby/branches/0.0/models/am/archetype/ontology.rb	(revision 167)
@@ -1,3 +1,3 @@
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
Index: /ruby/branches/0.0/models/am/openehr_profile/data_types/basic.rb
===================================================================
--- /ruby/branches/0.0/models/am/openehr_profile/data_types/basic.rb	(revision 166)
+++ /ruby/branches/0.0/models/am/openehr_profile/data_types/basic.rb	(revision 167)
@@ -1,6 +1,6 @@
-module OpenEHR
+module OpenEhr
   module AM
     module OpenEHR_Profile
-      module Data_Types
+      module DataTypes
         module Basic
           class C_DV_STATE
Index: /ruby/branches/0.0/models/am/openehr_profile/data_types/quantity.rb
===================================================================
--- /ruby/branches/0.0/models/am/openehr_profile/data_types/quantity.rb	(revision 166)
+++ /ruby/branches/0.0/models/am/openehr_profile/data_types/quantity.rb	(revision 167)
@@ -1,12 +1,12 @@
-module OpenEHR
+module OpenEhr
   module AM
     module OpenEHR_Profile
-      module Data_Types
+      module DataTypes
 
         module Quantity
-          class C_DV_QUANTITY < OpenEHR::AM::Archetype::Constraint_Model::C_DOMAIN_TYPE
+          class C_DV_QUANTITY < OpenEhr::AM::Archetype::Constraint_Model::C_DOMAIN_TYPE
           end
           
-          class C_DV_ORDINAL < OpenEHR::AM::Archetype::Constraint_Model::C_DOMAIN_TYPE
+          class C_DV_ORDINAL < OpenEhr::AM::Archetype::Constraint_Model::C_DOMAIN_TYPE
           end
 
Index: /ruby/branches/0.0/models/am/openehr_profile/data_types/text.rb
===================================================================
--- /ruby/branches/0.0/models/am/openehr_profile/data_types/text.rb	(revision 166)
+++ /ruby/branches/0.0/models/am/openehr_profile/data_types/text.rb	(revision 167)
@@ -1,8 +1,8 @@
-module OpenEHR
+module OpenEhr
   module AM
     module OpenEHR_Profile
-      module Data_Types
+      module DataTypes
         module Text
-          class C_CODE_PHASE < OpenEHR::AM::Archetype::Constraint_Model::C_DOMAIN_TYPE
+          class C_CODE_PHASE < OpenEhr::AM::Archetype::Constraint_Model::C_DOMAIN_TYPE
           end
         end
Index: /ruby/branches/0.0/models/assumed_library_types.rb
===================================================================
--- /ruby/branches/0.0/models/assumed_library_types.rb	(revision 166)
+++ /ruby/branches/0.0/models/assumed_library_types.rb	(revision 167)
@@ -1,4 +1,4 @@
-module OpenEHR
-  module Assumed_Library_Types
+module OpenEhr
+  module AssumedLibraryTypes
     class Interval
       attr_reader :lower, :lower_included, :lower_unbounded
Index: /ruby/branches/0.0/models/rm.rb
===================================================================
--- /ruby/branches/0.0/models/rm.rb	(revision 166)
+++ /ruby/branches/0.0/models/rm.rb	(revision 167)
@@ -10,5 +10,5 @@
 
 # OpenEHR::RM
-module OpenEHR
+module OpenEhr
   module RM
     autoload :Demographic, "rm/demographic.rb"
@@ -30,5 +30,5 @@
     end
 
-    module Data_Types
+    module DataTypes
       autoload :Basic, "rm/data_types/basic.rb"
       autoload :Text, "rm/data_types/text.rb"
Index: /ruby/branches/0.0/models/rm/common/archetyped.rb
===================================================================
--- /ruby/branches/0.0/models/rm/common/archetyped.rb	(revision 166)
+++ /ruby/branches/0.0/models/rm/common/archetyped.rb	(revision 167)
@@ -1,7 +1,7 @@
-module OpenEHR
+module OpenEhr
   module RM
     module Common
       module Archetyped
-        module Locater_Constants
+        module LocaterConstants
           CURRENT_TRANSACTION_ID = "current"
           FRAGMENT_SEPARATOR = "#"
@@ -32,5 +32,5 @@
         end
         class Locatable < Pathable
-          include Locater_Constants
+          include LocaterConstants
           attr_accessor :uid, :archetype_node_id, :archetype_details
           attr_accessor :feeder_audit, :links, :parent
Index: /ruby/branches/0.0/models/rm/common/generic.rb
===================================================================
--- /ruby/branches/0.0/models/rm/common/generic.rb	(revision 166)
+++ /ruby/branches/0.0/models/rm/common/generic.rb	(revision 167)
@@ -1,8 +1,8 @@
-module OpenEHR
+module OpenEhr
   module RM
     module Common
       module Generic
-        class Revision_History
-        end # of Revision_History
+        class RevisionHistory
+        end # of RevisionHistory
       end # of Generic
     end # of Common
Index: /ruby/branches/0.0/models/rm/common/resource.rb
===================================================================
--- /ruby/branches/0.0/models/rm/common/resource.rb	(revision 166)
+++ /ruby/branches/0.0/models/rm/common/resource.rb	(revision 167)
@@ -1,4 +1,4 @@
 require 'set'
-module OpenEHR
+module OpenEhr
   module RM
     module Common
Index: /ruby/branches/0.0/models/rm/composition/content/entry.rb
===================================================================
--- /ruby/branches/0.0/models/rm/composition/content/entry.rb	(revision 166)
+++ /ruby/branches/0.0/models/rm/composition/content/entry.rb	(revision 167)
@@ -1,3 +1,3 @@
-module OpenEHR
+module OpenEhr
   module RM
     module Content
@@ -5,7 +5,7 @@
         class Entry < Content_Item
         end
-        class Care_Entry < Entry
+        class CareEntry < Entry
         end
-        class Action < Care_Entry
+        class Action < CareEntry
           attr_accessor :description, :time
           attr_accessor :ism_transition, :instruction_details
Index: /ruby/branches/0.0/models/rm/data_types/basic.rb
===================================================================
--- /ruby/branches/0.0/models/rm/data_types/basic.rb	(revision 166)
+++ /ruby/branches/0.0/models/rm/data_types/basic.rb	(revision 167)
@@ -1,14 +1,14 @@
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
+    module DataTypes
       module Basic
-        module Canonical_Fragment
+        module CanonicalFragment
         end
 
-        class Data_Value
-          include OpenEHR::RM::Support::Definition::Basic_Definition
+        class DataValue
+          include OpenEhr::RM::Support::Definition::BasicDefinition
         end
 
-        class DV_Boolean < Data_Value
+        class DvBoolean < DataValue
           def initialize(value)
             check_not_nil(value)
@@ -32,7 +32,7 @@
             end
           end
-        end  # end of DV_Boolean
+        end  # end of DvBoolean
 
-        class DV_State < Data_Value
+        class DvState < DataValue
           attr_accessor :value
           attr_writer :terminal
@@ -47,7 +47,7 @@
             @terminal == true
           end
-        end # end of DV_State
+        end # end of DvState
 
-        class DV_Identifier
+        class DvIdentifier
           attr_accessor :issuer, :assigner, :id, :type
           def initialize(assigner, id, issuer, type)
@@ -60,5 +60,5 @@
             @type = type
           end
-        end #end of DV_Identifier
+        end #end of DvIdentifier
       end # end of Basic
     end # end of Data_types
Index: /ruby/branches/0.0/models/rm/data_types/encapslated.rb
===================================================================
--- /ruby/branches/0.0/models/rm/data_types/encapslated.rb	(revision 166)
+++ /ruby/branches/0.0/models/rm/data_types/encapslated.rb	(revision 167)
@@ -1,7 +1,7 @@
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
+    module DataTypes
       module Encapsulated
-        class DV_Encapsulated  < OpenEHR::RM::Data_Types::Basic::Data_Value
+        class DvEncapsulated  < OpenEhr::RM::DataTypes::Basic::DataValue
           attr_accessor :charset, :language
           def size
@@ -13,8 +13,8 @@
           end
         end
-        class DV_Multimedia < DV_Encapsulated
+        class DvMultimedia < DvEncapsulated
           
         end
-        class DV_Parsable < DV_Encapsulated
+        class DvParsable < DvEncapsulated
           attr_reader :value, :formalism
           def initialize(value, formalism, charset = nil, language = nil)
Index: /ruby/branches/0.0/models/rm/data_types/quantity/data_time.rb
===================================================================
--- /ruby/branches/0.0/models/rm/data_types/quantity/data_time.rb	(revision 166)
+++ /ruby/branches/0.0/models/rm/data_types/quantity/data_time.rb	(revision 167)
@@ -1,5 +1,5 @@
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
+    module DataTypes
       module Quantity
         module Date_
